# PetscDrawLGAddPoints

Adds several points to each of the line graphs. The new points must have an X coordinate larger than the old points.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscDrawLGAddPoints(PetscDrawLG lg,int n,PetscReal **xx,PetscReal **yy)

Not Collective, but ignored by all processors except processor 0 in PetscDrawLG

### Input Parameters

| lg | - the LineGraph data structure
| xx,yy | - points to two arrays of pointers that point to arrays containing the new x and y points for each curve.
| n | - number of points being added

### See Also

PetscDrawLGAddPoint()

Level:intermediate
Location: src/sys/draw/utils/lg.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages